package cn.iocoder.yudao.module.bpm.enums.message;

import cn.hutool.core.util.ArrayUtil;
import cn.iocoder.yudao.framework.common.core.ArrayValuable;
import cn.iocoder.yudao.framework.common.enums.UserTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * Bpm 消息状态的枚举
 *
 * @author jinyd
 */
@AllArgsConstructor
@Getter
public enum BpmMessageStatusEnum implements ArrayValuable<Integer> {

    INCOMPLETE(0, "未完成"), //
    COMPLETE(1, "已完成");

    public static final Integer[] ARRAYS = Arrays.stream(values()).map(BpmMessageStatusEnum::getValue).toArray(Integer[]::new);

    /**
     * 状态
     */
    private final Integer value;
    /**
     * 转改名
     */
    private final String name;

    public static UserTypeEnum valueOf(Integer value) {
        return ArrayUtil.firstMatch(userType -> userType.getValue().equals(value), UserTypeEnum.values());
    }

    @Override
    public Integer[] array() {
        return ARRAYS;
    }

}
